StopCard

Stop a card with one of the following allowed (integer) values for stopReasonID:

  1. Card stopped as it has been lost
  2. Card stopped as it has been stolen
  3. Card stopped pending outcome of query
  4. Card stopped to consolidate onto single card
  5. Card stopped as it is no longer active
  6. Card stopped as allowable PIN tries have been exceeded
  7. Suspected fraud
  8. Emergency card replacement

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
profileNumberString1-20 characters✓Profile number linked with this card
cardIdentifierString1-20 characters✓Card number or Tracking number or Sequence number of the card
stopReasonIDInteger✓Stop Reason ID associated with the reason for stopping a card:; ; - Card stopped as it has been lost; ; - Card stopped as it has been stolen; ; - Card stopped pending outcome of query; ; - Card stopped to consolidate onto single card; ; - Card stopped as it is no longer active; ; - Card stopped as allowable PIN tries have been exceeded; ; - Suspected fraud; ; - Emergency card replacement
transactionIDString1-255 characters✓Transaction ID number generated by the calling client
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>StopCard</methodName>
    <params>
        <param>
            <value>
                <string>ABC1234567</string>
            </value>
        </param>
        <param>
            <value>
                <string>P12345</string>
            </value>
        </param>
        <param>
            <value>
                <string>987654321</string>
            </value>
        </param>
        <param>
            <value>
                <int>1</int>
            </value>
        </param>
        <param>
            <value>
                <string>T987654321</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>2023-11-08T12:44:44</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>3b7c4444e1c4444d8e134a4c0c2c2d444e3d4444</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho
profileNumberStringEcho
cardNumberStringNumber of the card found using the cardIdentifier
stopReasonIDStringEcho
clientTransactionIDStringEcho
serverTransactionIDStringTransaction ID generated by Paymentology
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating the transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>ABC1234567</string>
                        </value>
                    </member>
                    <member>
                        <name>profileNumber</name>
                        <value>
                            <string>P12345</string>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <string>987654321</string>
                        </value>
                    </member>
                    <member>
                        <name>stopReasonID</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>T987654321</string>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>ST123456789</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>200</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Card stopped successfully</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>